/* include/framerd/config.h.  Generated automatically by configure.  */
/* FramerD configuration header file, transformed by ./configure
   Copyright (C) 1994-2001 Massachusetts Institute of Technology
   Copyright (C) 2001-2002 beingmeta, inc. (A Delaware Corporation)

    Use, modification, and redistribution of this program is permitted
    under the terms of either (at the developer's discretion) the GNU
    General Public License (GPL) Version 2, the GNU Lesser General Public
    License.

    This program is based on the FramerD library released in Fall 2001 by
    MIT under both the GPL and the LGPL licenses, both of which accompany
    this distribution.  Subsequent modifications by beingmeta, inc. are
    also released under both the GPL and LGPL licenses (at the developer's
    discretion).

   $Id: config.h.in,v 1.15 2002/07/26 16:30:12 haase Exp $
*/

#ifdef FRAMERD_CONFIG_H
#define FRAMERD_CONFIG_H 1
#else
/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
/* #undef _ALL_SOURCE */
#endif

/* Define if integers should be aligned  */
#define WORDS_ARE_ALIGNED 1

/* Define to specify whether file locking works  */
#define WITH_FILE_LOCKING 0

/* Define to specify whether to use MMAP  */
#define WITH_MMAP_ALLOC 1

/* Define to compile with multi threading */
#define THREADS_ENABLED 1

/* Define if you are using dynamic linking.  */
#define DYNAMIC_LINKING_ENABLED 1

/* Define to compile with or without readline if possible */
#define WITH_READLINE 1

/* Define to compile with or without dmalloc */
#define WITH_DMALLOC 0

/* Define if you have the strftime function.  */
#define HAVE_STRFTIME 1

/* Define if you have the gettimeofday function.  */
#define HAVE_GETTIMEOFDAY 1

/* Define if you have the ftime function.  */
#define HAVE_FTIME 1

/* Define if your struct tm has tm_zone.  */
#define HAVE_TM_ZONE 1

/* Define if you have fputwc.  */
#define HAVE_FPUTWC 1

/* Define if you have fgetwc.  */
#define HAVE_FGETWC 1

/* Define if you have mmap.  */
#define HAVE_MMAP 1

/* Define if your struct tm has tm_gmtoff.  */
#define HAVE_TM_GMTOFF 1

/* Define if you have the uchar type.  */
#define HAVE_UCHAR 0

/* Define if you don't have tm_zone but do have the external array
   tzname.  */
/* #undef HAVE_TZNAME */

/* Define as __inline if that's what the C compiler calls it.  */
/* #undef inline */

/* Define if the `S_IS*' macros in <sys/stat.h> do not work properly.  */
/* #undef STAT_MACROS_BROKEN */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* Define if your <sys/time.h> declares struct tm.  */
/* #undef TM_IN_SYS_TIME */

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
/* #undef WORDS_BIGENDIAN */

/* The number of bytes in an int.  */
#define SIZEOF_INT 4

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* The number of bytes in a pointer.  */
#define SIZEOF_VOID_P 4

/* Define if you have the strdup function.  */
#define HAVE_STRDUP 1

/* Define if you have the usleep function.  */
#define HAVE_USLEEP 1

/* Define if you have the nanosleep function.  */
#define HAVE_NANOSLEEP 1

/* Define if you have the flock function.  */
#define HAVE_FLOCK 1

/* Define if you have the mkstemp function.  */
#define HAVE_MKSTEMP 1

/* Define if you have the realpath function.  */
#define HAVE_REALPATH 1

/* Define if you have the wait4 function.  */
#define HAVE_WAIT4 1

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H 1

/* Define if you have the <dlfcn.h> header file.  */
#define HAVE_DLFCN_H 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <ndir.h> header file.  */
/* #undef HAVE_NDIR_H */

/* Define if you have the <netdb.h> header file.  */
#define HAVE_NETDB_H 1

/* Define if you have the <sys/types.h> header file.  */
#define HAVE_SYS_TYPES_H 1

/* Define if you have the <pwd.h> header file.  */
#define HAVE_PWD_H 1

/* Define if you have the <grp.h> header file.  */
#define HAVE_GRP_H 1

/* Define if you have the <netinet/in.h> header file.  */
#define HAVE_NETINET_IN_H 1

/* Define if you have the <pthread.h> header file.  */
#define HAVE_PTHREAD_H 1

/* Define if you have the <sys/dir.h> header file.  */
/* #undef HAVE_SYS_DIR_H */

/* Define if you have the <sys/fcntl.h> header file.  */
#define HAVE_SYS_FCNTL_H 1

/* Define if you have the <sys/filio.h> header file.  */
/* #undef HAVE_SYS_FILIO_H */

/* Define if you have the <sys/ioctl.h> header file.  */
#define HAVE_SYS_IOCTL_H 1

/* Define if you have the <sys/ndir.h> header file.  */
/* #undef HAVE_SYS_NDIR_H */

/* Define if you have the <sys/resource.h> header file.  */
#define HAVE_SYS_RESOURCE_H 1

/* Define if you have the <sys/select.h> header file.  */
#define HAVE_SYS_SELECT_H 1

/* Define if you have the <sys/socket.h> header file.  */
#define HAVE_SYS_SOCKET_H 1

/* Define if you have the <sys/un.h> header file.  */
#define HAVE_SYS_UN_H 1

/* Define if you have the <sys/stat.h> header file.  */
#define HAVE_SYS_STAT_H 1

/* Define if you have the <sys/fcntl.h> header file.  */
#define HAVE_SYS_FILE_H 1

/* Define if you have the <sys/wait.h> header file.  */
/* #undef HAVE_SYS_WAIT_H */

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the <libintl.h> header file.  */
#define HAVE_LIBINTL_H 1

/* Define if you have the <dmalloc.h> header file.  */
/* #undef HAVE_DMALLOC_H */

/* Define if you have the dmalloc library (-ldmalloc).  */
/* #undef HAVE_LIBDMALLOC */

/* Define if you have the dl library (-ldl).  */
#define HAVE_LIBDL 1

/* Define if you have the m library (-lm).  */
#define HAVE_LIBM 1

/* Define if you have the pthread library (-lpthread).  */
#define HAVE_LIBPTHREAD 1

/* Define if you have the pthread library (-lpthread).  */
/* #undef HAVE_LIBC_R */

/* Define if you have wide char definitions.  */
#define HAVE_WCHAR_H 1

/* Define if you have readline include.  */
#define HAVE_READLINE_READLINE_H 1

/* Define if you have readline library.  */
#define HAVE_LIBREADLINE 1

/* Define if your readline library has
   the filename_completion_function function.  */
/* #undef HAVE_FILENAME_COMPLETION_FUNCTION */

/* Define if your readline library has
   the rl_filename_completion_function function.  */
/* #undef HAVE_RL_FILENAME_COMPLETION_FUNCTION */

/* Define if you need to init the FDTEXT library.  */
/* #undef INIT_FDTEXT */

/* Define if you need to init the FDWWW library.  */
/* #undef INIT_FDWWW */

/* Define if you need to init the FDANALOGY library.  */
/* #undef INIT_FDANALOGY */

/* Define to where your full unicode data file lives.  */
/* #undef FULL_UNICODE_DATA */

/* Define if you have FastCGI headers.  */
#define WITH_FASTCGI 0

/* Define if you have FastCGI headers.  */
/* #undef HAVE_FCGIAPP_H */

/* Define if you have FastCGI library.  */
/* #undef HAVE_LIBFCGI */

/* Define as host os name  */
#define FD_OSID "i386-pc-linux-gnu"

/* Define to suppress dangling errno messages */
#define ERRNO_CHECKING_ENABLED 1

/* Define to use consed OIDS  */
#define FD_LIGHTWEIGHT_OIDS 1

/* Where the default config file gets read from */
#define DEFAULT_FRAMERD_CONFIG "/etc/framerd.cfg"

/* Where the FramerD shared data lives */
#define FRAMERD_SHARE_DIR "/usr/share/framerd/"

/* Where the FramerD modules live */
#define FRAMERD_MODULE_DIR "/usr/share/framerd/modules/"

/* This is where shared objects get put */ 
#define LIB_INSTALL_DIR "/usr/lib"

/* This is where executable binaries get put */ 
#define BIN_INSTALL_DIR "/usr/bin"

/* This is where executable binaries get put */ 
/* #undef FD_WITHOUT_POINTER_KLUDGES */

/* This is where executable binaries get put */ 
/* #undef FD_WITHOUT_POINTER_KLUDGES */

/* Whether to use the proc file system to fill in gaps in getrusage */ 
#define FD_PROC_RUSAGE_PATCH 1

/* The FramerD major version number */ 
#define FD_MAJOR_VERSION 2

/* The FramerD minor version number */ 
#define FD_MINOR_VERSION 4

/* The FramerD release version number */ 
#define FD_RELEASE_VERSION 1

/* Define to *not* use STDIO with sockets */ 
#define FD_USE_STDIO_WITH_SOCKETS 1

#endif



/* File specific stuff */

/* The CVS log for this file
   $Log: config.h.in,v $
   Revision 1.15  2002/07/26 16:30:12  haase
   Switched over to three part version identifiers (major,minor,release)

   Revision 1.14  2002/06/10 00:29:24  haase
   Add other thread library tests, but suppress them for BSD (for now)

   Revision 1.13  2002/04/16 13:16:02  haase
   Made use of stdio with sockets be a configuration option

   Revision 1.12  2002/04/04 01:56:33  haase
   Added sys/filio.h check

   Revision 1.11  2002/04/02 21:41:08  haase
   Added log and emacs init entries to C source files

*/

/* Emacs local variables
;;;  Local variables: ***
;;;  compile-command: "cd ../..; make" ***
;;;  End: ***
*/
